// check.cpp : R\[ AvP[Vp̃Gg |Cg̒`
//
#include <stdio.h>
#include "gmp.h"
#include "mpfr.h"
#include "mpf2mpfr.h"

int main(int argc, char* argv[])
{
	mpf_t a, b;

	mpf_set_default_prec(512);
	mpf_init(a); mpf_init(b);

	mpf_set_ui(a, 2UL); mpf_sqrt(a, a);
	mpf_set_ui(b, 3UL); mpf_sqrt(b, b);

	printf("Hello Wingmp!\n");
	printf("a = 2^(1/2) = "); mpf_out_str(stdout, 10, 0, a); printf("\n");
//	gmp_printf("2^(1/2) = %Fe\n", a);
	printf("b = 3^(1/2) = "); mpf_out_str(stdout, 10, 0, b); printf("\n");
//	gmp_printf("3^(1/2) = %Fe\n", b);
	mpf_add(a, a, b);
	printf("a + b = "); mpf_out_str(stdout, 10, 0, a); printf("\n");
	mpfr_cos(b, a, GMP_RNDN);
	printf("cos(a + b) = "); mpf_out_str(stdout, 10, 0, b); printf("\n");
	mpfr_const_pi(a, GMP_RNDN);
	printf("Pi = "); mpf_out_str(stdout, 10, 0, a); printf("\n");
	mpfr_erf(a, b, GMP_RNDN);
	printf("erf(%25.17e) = ", mpf_get_d(b)); mpf_out_str(stdout, 10, 0, a); printf("\n");

	mpf_clear(a); mpf_clear(b);
	return 0;
}